Can't compile community edition

I can't compile the IDEA community edition. Compilation fails with these error messages, even after a full rebuild.

/Users/dirk/IdeaProjects/idea/plugins/git4idea/src/git4idea/checkin/GitConvertFilesDialog.form
    Error:Error:/Users/dirk/IdeaProjects/idea/plugins/git4idea/src/git4idea/checkin/GitConvertFilesDialog.form: Unsupported class version error: com.intellij.ui.CheckboxTreeBase
/Users/dirk/IdeaProjects/idea/plugins/git4idea/src/git4idea/checkin/GitPushActiveBranchesDialog.form
    Error:Error:/Users/dirk/IdeaProjects/idea/plugins/git4idea/src/git4idea/checkin/GitPushActiveBranchesDialog.form: Unsupported class version error: com.intellij.ui.CheckboxTree
/Users/dirk/IdeaProjects/idea/plugins/git4idea/src/git4idea/checkin/GitPushDialog.form
    Error:Error:/Users/dirk/IdeaProjects/idea/plugins/git4idea/src/git4idea/checkin/GitPushDialog.form: Unsupported class version error: com.intellij.ide.util.ElementsChooser
/Users/dirk/IdeaProjects/idea/plugins/git4idea/src/git4idea/checkout/GitCloneDialog.form
    Error:Error:/Users/dirk/IdeaProjects/idea/plugins/git4idea/src/git4idea/checkout/GitCloneDialog.form: Unsupported class version error: com.intellij.openapi.ui.TextFieldWithBrowseButton
/Users/dirk/IdeaProjects/idea/plugins/git4idea/src/git4idea/config/GitVcsPanel.form
(many more of the same type)



Opening the forms shows a red square (see screenshot) Any ideas?

Attachment(s):
Bild 1.png
2 comments
Comment actions Permalink

Hello Dirk,

If you're using JDK 6 as the target JDK for compiling IDEA CE, you also need
to run the IDEA in which you're compiling under JDK 6. Alternatively, you
can use JDK 5 as the target JDK.

I can't compile the IDEA community edition. Compilation fails with
these error messages, even after a full rebuild.

/Users/dirk/IdeaProjects/idea/plugins/git4idea/src/git4idea/checkin/Gi
tConvertFilesDialog.form

Error:Error:/Users/dirk/IdeaProjects/idea/plugins/git4idea/src/git4ide
a/checkin/GitConvertFilesDialog.form: Unsupported class version error:
com.intellij.ui.CheckboxTreeBase
/Users/dirk/IdeaProjects/idea/plugins/git4idea/src/git4idea/checkin/Gi
tPushActiveBranchesDialog.form

Error:Error:/Users/dirk/IdeaProjects/idea/plugins/git4idea/src/git4ide
a/checkin/GitPushActiveBranchesDialog.form: Unsupported class version
error: com.intellij.ui.CheckboxTree
/Users/dirk/IdeaProjects/idea/plugins/git4idea/src/git4idea/checkin/Gi
tPushDialog.form

Error:Error:/Users/dirk/IdeaProjects/idea/plugins/git4idea/src/git4ide
a/checkin/GitPushDialog.form: Unsupported class version error:
com.intellij.ide.util.ElementsChooser
/Users/dirk/IdeaProjects/idea/plugins/git4idea/src/git4idea/checkout/G
itCloneDialog.form

Error:Error:/Users/dirk/IdeaProjects/idea/plugins/git4idea/src/git4ide
a/checkout/GitCloneDialog.form: Unsupported class version error:
com.intellij.openapi.ui.TextFieldWithBrowseButton
/Users/dirk/IdeaProjects/idea/plugins/git4idea/src/git4idea/config/Git
VcsPanel.form
(many more of the same type)

Opening the forms shows a red square (see screenshot) Any ideas?

---
Original message URL:
http://www.jetbrains.net/devnet/message/5252985#5252985

--
Dmitry Jemerov
Development Lead
JetBrains, Inc.
http://www.jetbrains.com/
"Develop with Pleasure!"


0
Comment actions Permalink

Thanks. That was the problem.

0

Please sign in to leave a comment.